import { ColumnDescription } from "./ColumnDescription";
import { FormatSpecifierDescription } from "./FormatSpecifierDescription";
import { BaseDataSourceDescription } from "./BaseDataSourceDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class NumericColumnDescription extends ColumnDescription {
    static $t: Type;
    protected get_type(): string;
    private static __canMarshalByValue1;
    constructor();
    private fu;
    get negativePrefix(): string;
    set negativePrefix(a: string);
    private fw;
    get positivePrefix(): string;
    set positivePrefix(a: string);
    private fv;
    get negativeSuffix(): string;
    set negativeSuffix(a: string);
    private fx;
    get positiveSuffix(): string;
    set positiveSuffix(a: string);
    private fj;
    get maxFractionDigits(): number;
    set maxFractionDigits(a: number);
    private fk;
    get minFractionDigits(): number;
    set minFractionDigits(a: number);
    private fl;
    get minIntegerDigits(): number;
    set minIntegerDigits(a: number);
    private fh;
    get showGroupingSeparator(): boolean;
    set showGroupingSeparator(a: boolean);
    private ft;
    get formatString(): string;
    set formatString(a: string);
    private fb;
    get formatSpecifiers(): FormatSpecifierDescription[];
    set formatSpecifiers(a: FormatSpecifierDescription[]);
    private fs;
    get formatOverrideRef(): string;
    set formatOverrideRef(a: string);
    private fr;
    get editorType(): string;
    set editorType(a: string);
    private fp;
    get editorDataSourceRef(): string;
    set editorDataSourceRef(a: string);
    private fe;
    get editorDataSource(): BaseDataSourceDescription;
    set editorDataSource(a: BaseDataSourceDescription);
    private fq;
    get editorTextField(): string;
    set editorTextField(a: string);
    private fa;
    get editorValueField(): string[];
    set editorValueField(a: string[]);
}
